Home
last modified time | relevance | path

Searched refs:aPln (Results 1 – 25 of 38) sorted by relevance

12

/dports/cad/opencascade/opencascade-7.6.0/src/ShapeAnalysis/
H A DShapeAnalysis_Geom.cxx35 gp_Pln& aPln, Standard_Real& Dmax) in NearestPlane() argument
86 else aPln = gp_Pln(g,V1); in NearestPlane()
93 else aPln = gp_Pln(g,V2); in NearestPlane()
100 else aPln = gp_Pln(g,V3); in NearestPlane()
108 D = aPln.Distance (Pnts(i)); in NearestPlane()
H A DShapeAnalysis_Geom.hxx44 …ic Standard_Boolean NearestPlane (const TColgp_Array1OfPnt& Pnts, gp_Pln& aPln, Standard_Real& Dma…
/dports/cad/opencascade/opencascade-7.6.0/src/DrawDim/
H A DDrawDim_Angle.cxx183 gp_Pln aPln (myCenter, theAxisDir); in DrawOn() local
185 ElSLib::Parameters (aPln, curpos, U, V); in DrawOn()
186 curpos = ElSLib::Value (U, V, aPln); in DrawOn()
/dports/cad/opencascade/opencascade-7.6.0/src/XCAFDoc/
H A DXCAFDoc_Note.cxx118 Handle(TDataXtd_Plane) aPln; in Handle() local
119 if (Label().FindChild(ChildLab_Plane).FindAttribute(TDataXtd_Plane::GetID(), aPln)) in Handle()
122 if (TDataXtd_Geometry::Plane(aPln->Label(), aP)) in Handle()
/dports/cad/opencascade/opencascade-7.6.0/src/AIS/
H A DAIS_Manipulator.cxx1291 gp_Ax2 aPln (thePosition.Location(), thePosition.Direction()); in Init() local
1292 …gp_Pnt aBottomLeft = thePosition.Location().XYZ() - aPln.XDirection().XYZ() * theSize * 0.5 - aPln in Init()
1293 gp_Pnt aV2 = aBottomLeft.XYZ() + aPln.YDirection().XYZ() * theSize; in Init()
1294 …gp_Pnt aV3 = aBottomLeft.XYZ() + aPln.YDirection().XYZ() * theSize + aPln.XDirection().XYZ() * the… in Init()
1295 gp_Pnt aV4 = aBottomLeft.XYZ() + aPln.XDirection().XYZ() * theSize; in Init()
1297 + aPln.XDirection().XYZ() * theSize * 0.5 + aPln.YDirection().XYZ() * theSize * 0.5; in Init()
1298 gp_Pnt aV5 = aTopRight.XYZ() - aPln.YDirection().XYZ() * theSize; in Init()
1299 …gp_Pnt aV6 = aTopRight.XYZ() - aPln.YDirection().XYZ() * theSize - aPln.XDirection().XYZ() * theSi… in Init()
1300 gp_Pnt aV7 = aTopRight.XYZ() - aPln.XDirection().XYZ() * theSize; in Init()
/dports/cad/opencascade/opencascade-7.6.0/src/ShapeCustom/
H A DShapeCustom_Surface.cxx140 gp_Pln aPln;// Standard_Real Dmax; in Handle() local
141 Standard_Integer It = ShapeAnalysis_Geom::NearestPlane (Pnts,aPln,myGap/*Dmax*/); in Handle()
150 newSurf = new Geom_Plane (aPln); in Handle()
158 gp_Ax3 ax3 = aPln.Position(); in Handle()
161 aPln = gp_Pln (ax3); in Handle()
162 newSurf = new Geom_Plane (aPln); in Handle()
/dports/cad/opencascade/opencascade-7.6.0/inc/
H A DShapeAnalysis_Geom.hxx44 …ic Standard_Boolean NearestPlane (const TColgp_Array1OfPnt& Pnts, gp_Pln& aPln, Standard_Real& Dma…
H A DIntCurveSurface_Inter.gxx1808 gp_Pln aPln (gp_Ax3 (O, aNVec ,aXVec));
1811 ProjLib_Plane aBasCurvProj(aPln);
1839 aPln = gp_Pln (gp_Ax3 (O, aNVec ,aXVec));
1842 gp_Pln aPlnPrp = aPln.Rotated (gp_Ax1 (O,aXVec), M_PI/2.);
1848 ProjectIntersectAndEstLim (Line, aPln, aBasCurvProj, aVmin, aVmax, aNoInt1);
1895 gp_Pln aPln = aBasSurf->Plane();
1896 gp_Vec aT = aPln.Position().XDirection()^aPln.Position().YDirection();
1898 aPln.Translate(aT);
1899 IntAna_IntConicQuad LinPlane(Line,aPln,TOLERANCE_ANGULAIRE);
1911 ElSLib::Parameters(aPln, LinPlane.Point(1), u, v);
H A DIntPatch_ImpImpIntersection_3.gxx667 const gp_Pln aPln = bReversed ? theQuad2.Plane() : theQuad1.Plane();
670 IntAna_QuadQuadGeo inter(aPln, aTorus, theTolTang);
694 if (!aPln.Axis().IsNormal(aTorus.Axis(), Precision::Angular())) {
/dports/devel/py-cadquery-pywrap/pywrap-e8c7bc9/opencascade/
H A DShapeAnalysis_Geom.hxx44 …ic Standard_Boolean NearestPlane (const TColgp_Array1OfPnt& Pnts, gp_Pln& aPln, Standard_Real& Dma…
H A DIntCurveSurface_Inter.gxx1808 gp_Pln aPln (gp_Ax3 (O, aNVec ,aXVec));
1811 ProjLib_Plane aBasCurvProj(aPln);
1839 aPln = gp_Pln (gp_Ax3 (O, aNVec ,aXVec));
1842 gp_Pln aPlnPrp = aPln.Rotated (gp_Ax1 (O,aXVec), M_PI/2.);
1848 ProjectIntersectAndEstLim (Line, aPln, aBasCurvProj, aVmin, aVmax, aNoInt1);
1895 gp_Pln aPln = aBasSurf->Plane();
1896 gp_Vec aT = aPln.Position().XDirection()^aPln.Position().YDirection();
1898 aPln.Translate(aT);
1899 IntAna_IntConicQuad LinPlane(Line,aPln,TOLERANCE_ANGULAIRE);
1911 ElSLib::Parameters(aPln, LinPlane.Point(1), u, v);
/dports/cad/opencascade/opencascade-7.6.0/src/PrsDim/
H A DPrsDim_EllipseRadiusDimension.cxx100 gp_Pln aPln; in ComputeFaceGeometry() local
105 aPln, in ComputeFaceGeometry()
H A DPrsDim_EqualDistanceRelation.cxx482 gp_Pln aPln = Plane->Pln(); in ComputeTwoEdgesLength() local
484 gp_Pnt PrPnt12 = PrsDim::ProjectPointOnPlane(ptat12, aPln); in ComputeTwoEdgesLength()
485 gp_Pnt PrPnt22 = PrsDim::ProjectPointOnPlane(ptat22, aPln); in ComputeTwoEdgesLength()
487 gp_Pnt PrCenter = PrsDim::ProjectPointOnPlane(aCirc1.Location(), aPln); in ComputeTwoEdgesLength()
489 gp_Dir XDir = aPln.XAxis().Direction(); in ComputeTwoEdgesLength()
490 gp_Dir YDir = aPln.YAxis().Direction(); in ComputeTwoEdgesLength()
H A DPrsDim_OffsetDimension.cxx113 gp_Pln aPln = surf1.Plane(); in Compute() local
114 gp_Pnt aPnt = aPln.Location(); in Compute()
122 gp_Ax1 aAx1 = aPln.Axis(); in Compute()
/dports/cad/opencascade/opencascade-7.6.0/tools/MessageView/
H A DMessageView_ActionsTest.cxx248 gp_Ax3 aPln (gp_Pnt (10., 20., 15.), gp_Dir (0., 0., 1.), gp_Dir (1., 0., 0.)); in OnTestMessenger() local
249 aPln.DumpJson (sout); in OnTestMessenger()
/dports/cad/opencascade/opencascade-7.6.0/src/IntTools/
H A DIntTools_EdgeFace.cxx755 gp_Pln aPln=aSurface.Plane(); in IsCoplanar() local
756 const gp_Ax1& anAx=aPln.Axis(); in IsCoplanar()
783 gp_Pln aPln=aSurface.Plane(); in IsRadius() local
784 Standard_Real aD=aPln.Distance(aCenter); in IsRadius()
/dports/cad/opencascade/opencascade-7.6.0/samples/OCCTOverview/code/
H A DViewer2dSamples.cxx214 gp_Pln aPln(gp::XOY()); in LoopOnFaceView2dSample() local
215 TopoDS_Face aFaceRect = BRepBuilderAPI_MakeFace(aPln, -10.0, +10.0, -20.0, +20.0); in LoopOnFaceView2dSample()
H A DGeometrySamples.cxx445 gp_Pln aPln(gp_Pnt(0.0, 0.0, 0.0), gp_Dir(0.0, 0.0, 1.0)); in PlaneSurfaces3dSample() local
446 Handle(Geom_Plane) aPlane = new Geom_Plane(aPln); in PlaneSurfaces3dSample()
447 Handle(AIS_Plane) anAisPlane = new AIS_Plane(aPlane, aPln.Location(), in PlaneSurfaces3dSample()
1314 gp_Pln aPln(gp::Origin(), gp::DZ()); in AnalyticalSurfaces3dSample() local
1316 Handle(Geom_Plane) aPlaneSurf = new Geom_Plane(aPln); in AnalyticalSurfaces3dSample()
1666 gp_Pln aPln(gp::XOY()); in TrimmedSurface3dSample() local
1668 Handle(Geom_Plane) aPlaneSurf = new Geom_Plane(aPln); in TrimmedSurface3dSample()
1690 gp_Pln aPln(gp::XOY()); in OffsetSurface3dSample() local
1692 Handle(Geom_Plane) aPlaneSurf = new Geom_Plane(aPln); in OffsetSurface3dSample()
H A DTopologySamples.cxx313 gp_Pln aPln(gp::XOY()); in Face3dSample() local
314 TopoDS_Face aFaceRect = BRepBuilderAPI_MakeFace(aPln, -10.0, +10.0, -20.0, +20.0); in Face3dSample()
362 anAisFaceRectLabel->SetPosition(aPln.Location().XYZ() + 2.5 * gp::DZ().XYZ()); in Face3dSample()
1114 gp_Pln aPln(gp_Pnt(aSizeX / 2.0, aSizeY / 2.0, aSizeZ / 2.0), gp::DZ()); in Section3dSample() local
1115 BRepAlgoAPI_Section anAlgo(aShape, aPln, Standard_False); in Section3dSample()
1137 Handle(AIS_Plane) anAisPlane = new AIS_Plane(new Geom_Plane(aPln)); in Section3dSample()
/dports/cad/opencascade/opencascade-7.6.0/src/BOPAlgo/
H A DBOPAlgo_Tools.cxx419 gp_Pln aPln; in EdgesToWires() local
420 if (FindPlane(aBAC, aPln)) { in EdgesToWires()
421 aDMEdgePln.Add(aE, aPln); in EdgesToWires()
504 gp_Pln aPln; in EdgesToWires() local
505 bAddBlock = FindPlane(aCBE, aPln, aDMEdgeTgt, aMEdgesNoUniquePlane); in EdgesToWires()
753 gp_Pln aPln; in MakeWires() local
754 if (!FindPlane(aCBE, aPln, theDMEdgeTgt, theMEdgesNoUniquePlane)) { in MakeWires()
/dports/cad/opencascade/opencascade-7.6.0/src/IntCurveSurface/
H A DIntCurveSurface_Inter.gxx1808 gp_Pln aPln (gp_Ax3 (O, aNVec ,aXVec));
1811 ProjLib_Plane aBasCurvProj(aPln);
1839 aPln = gp_Pln (gp_Ax3 (O, aNVec ,aXVec));
1842 gp_Pln aPlnPrp = aPln.Rotated (gp_Ax1 (O,aXVec), M_PI/2.);
1848 ProjectIntersectAndEstLim (Line, aPln, aBasCurvProj, aVmin, aVmax, aNoInt1);
1895 gp_Pln aPln = aBasSurf->Plane();
1896 gp_Vec aT = aPln.Position().XDirection()^aPln.Position().YDirection();
1898 aPln.Translate(aT);
1899 IntAna_IntConicQuad LinPlane(Line,aPln,TOLERANCE_ANGULAIRE);
1911 ElSLib::Parameters(aPln, LinPlane.Point(1), u, v);
/dports/cad/opencascade/opencascade-7.6.0/src/GeomToIGES/
H A DGeomToIGES_GeomSurface.cxx1127 gp_Pln aPln = start->Pln(); in Handle() local
1129 Handle(Geom_CartesianPoint) mypoint = new Geom_CartesianPoint (aPln.Location()); in Handle()
1133 aNormal->Init (aPln.Axis().Direction().XYZ()); in Handle()
1136 aRefDir->Init (aPln.XAxis().Direction().XYZ()); in Handle()
/dports/cad/opencascade/opencascade-7.6.0/src/BRepFill/
H A DBRepFill_TrimShellCorner.cxx1060 gp_Pln aPln; in ChooseSection() local
1062 ComputeAveragePlaneAndMaxDeviation( aWire, aPln, issing ); in ChooseSection()
1066 Standard_Real Angle = aPln.Axis().Angle( myAxeOfBisPlane.Axis() ); in ChooseSection()
1074 resPlane = aPln; in ChooseSection()
2346 gp_Pln aPln; in FindEdgeCloseToBisectorPlane() local
2348 ComputeAveragePlaneAndMaxDeviation( aWire, aPln, issing ); in FindEdgeCloseToBisectorPlane()
2365 anAngle = aPln.Axis().Angle( theAxis ); in FindEdgeCloseToBisectorPlane()
H A DBRepFill_AdvancedEvolved.cxx172 const gp_Pln aPln(aLoc, aN2); in GetSpineAndProfile() local
173 BRepLib_MakeFace aMF(aPln, theProfile); in GetSpineAndProfile()
625 const Handle(Geom_Plane) aPln = Handle(Geom_Plane)::DownCast(BRep_Tool::Surface(aF)); in GetLids()
626 const gp_XYZ &aNorm = aPln->Position().Direction().XYZ(); in GetLids()
627 const gp_XYZ &aLocP = aPln->Position().Location().XYZ(); in GetLids()
/dports/cad/opencascade/opencascade-7.6.0/src/IntPatch/
H A DIntPatch_ImpImpIntersection_3.gxx667 const gp_Pln aPln = bReversed ? theQuad2.Plane() : theQuad1.Plane();
670 IntAna_QuadQuadGeo inter(aPln, aTorus, theTolTang);
694 if (!aPln.Axis().IsNormal(aTorus.Axis(), Precision::Angular())) {

12